local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.HerbRoutes(container)



local frame = AceGUI:Create("Frame")
frame:SetTitle("Herbalism Routes")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Herbalism Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)




--[[ Shadowlands ]]-- 

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Shadowlands Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local VigilTorch = AceGUI:Create("Button")
  VigilTorch:SetText("\124cffffffff\124Hitem:170554::::::::60:::::\124h[Vigil's Torch]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Ardenweald")
  VigilTorch:SetWidth(350)
  scroll:AddChild(VigilTorch)
  VigilTorch:SetCallback("OnClick", function() 

  core.VigilsTorchImport(container)
  
  end)

  local Marrowroot = AceGUI:Create("Button")
  Marrowroot:SetText("\124cffffffff\124Hitem:168589::::::::60:::::\124h[Marrowroot]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Maldraxxus")
  Marrowroot:SetWidth(350)
  scroll:AddChild(Marrowroot)
  Marrowroot:SetCallback("OnClick", function() 

  core.MarrowrootImport(container)
  
  end)

  
  local Widowbloom = AceGUI:Create("Button")
  Widowbloom:SetText("\124cffffffff\124Hitem:168583::::::::60:::::\124h[Widowbloom]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Revendreth")
  Widowbloom:SetWidth(350)
  scroll:AddChild(Widowbloom)
  Widowbloom:SetCallback("OnClick", function() 

  core.WidowbloomImport(container)
  
  end)

  
  local RisingGlory = AceGUI:Create("Button")
  RisingGlory:SetText("\124cffffffff\124Hitem:168586::::::::60:::::\124h[Rising Glory]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Bastion")
  RisingGlory:SetWidth(350)
  scroll:AddChild(RisingGlory)
  RisingGlory:SetCallback("OnClick", function() 

  core.RisingGloryImport(container)
  
  end)
  
  

--[[ Battle For Azeroth ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Battle For Azeroth Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local Zinanthid = AceGUI:Create("Button")
  Zinanthid:SetText("\124cffffffff\124Hitem:168487::::::::60:::::\124h[Zin'anthid]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Nazjatar")
  Zinanthid:SetWidth(350)
  scroll:AddChild(Zinanthid)
  Zinanthid:SetCallback("OnClick", function() 

  core.ZinanthidImport(container)
  
  end)

  
  local WinterKiss = AceGUI:Create("Button")
  WinterKiss:SetText("\124cffffffff\124Hitem:152508::::::::60:::::\124h[Winter's Kiss]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Drustvar")
  WinterKiss:SetWidth(350)
  scroll:AddChild(WinterKiss)
  WinterKiss:SetCallback("OnClick", function() 

  core.WintersKissImport(container)
  
  end)

  
  local AkundaBite = AceGUI:Create("Button")
  AkundaBite:SetText("\124cffffffff\124Hitem:152507::::::::60:::::\124h[Akunda's Bite]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Vol'dun")
  AkundaBite:SetWidth(350)
  scroll:AddChild(AkundaBite)
  AkundaBite:SetCallback("OnClick", function() 

  core.AkundasBiteImport(container)
  
  end)  
  
  
  local AnchorWeed = AceGUI:Create("Button")
  AnchorWeed:SetText("\124cff1eff00\124Hitem:152510::::::::60:::::\124h[Anchor Weed]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Tiragarde Sound")
  AnchorWeed:SetWidth(350)
  scroll:AddChild(AnchorWeed)
  AnchorWeed:SetCallback("OnClick", function() 

  core.AnchorWeedImport(container)
  
  end)
  
  
--[[ Legion ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Legion Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local AstralGlory = AceGUI:Create("Button")
  AstralGlory:SetText("\124cffffffff\124Hitem:151565::::::::60:::::\124h[Astral Glory]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Krokkun")
  AstralGlory:SetWidth(350)
  scroll:AddChild(AstralGlory)
  AstralGlory:SetCallback("OnClick", function() 

  core.AstralGloryImport(container)
  
  end)

  
  local Aethril = AceGUI:Create("Button")
  Aethril:SetText("\124cffffffff\124Hitem:124101::::::::60:::::\124h[Aethril]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Azsuna")
  Aethril:SetWidth(350)
  scroll:AddChild(Aethril)
  Aethril:SetCallback("OnClick", function() 

  core.AethrilImport(container)
  
  end)

  
  local Dreamleaf = AceGUI:Create("Button")
  Dreamleaf:SetText("\124cffffffff\124Hitem:124102::::::::60:::::\124h[Dreamleaf]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Val'sharah")
  Dreamleaf:SetWidth(350)
  scroll:AddChild(Dreamleaf)
  Dreamleaf:SetCallback("OnClick", function() 

  core.DreamleafImport(container)
  
  end)

  
  local Foxflower = AceGUI:Create("Button")
  Foxflower:SetText("\124cffffffff\124Hitem:124103::::::::60:::::\124h[Foxflower]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 High Mountain")
  Foxflower:SetWidth(350)
  scroll:AddChild(Foxflower)
  Foxflower:SetCallback("OnClick", function() 

  core.FoxflowerImport(container)
  
  end)

  
  local Fjarnskaggl = AceGUI:Create("Button")
  Fjarnskaggl:SetText("\124cffffffff\124Hitem:124104::::::::60:::::\124h[Fjarnskaggl]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Stormheim")
  Fjarnskaggl:SetWidth(350)
  scroll:AddChild(Fjarnskaggl)
  Fjarnskaggl:SetCallback("OnClick", function() 

  core.FjarnskagglImport(container)
  
  end)

  
  local StarlightRose = AceGUI:Create("Button")
  StarlightRose:SetText("\124cffffffff\124Hitem:124105::::::::60:::::\124h[Starlight Rose]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Suramar")
  StarlightRose:SetWidth(350)
  scroll:AddChild(StarlightRose)
  StarlightRose:SetCallback("OnClick", function() 

  core.StarlightRoseImport(container)
  
  end)
  
  

--[[ Wod ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Warlords of Dreanor Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local WODHerbRoute2 = AceGUI:Create("Button")
  WODHerbRoute2:SetText("\124cffffffff\124Hitem:109125::::::::60:::::\124h[Fireweed]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Tannan Jungle")
  WODHerbRoute2:SetWidth(350)
  scroll:AddChild(WODHerbRoute2)
  WODHerbRoute2:SetCallback("OnClick", function() 

core.FireweedImport(container)
  
  end)


--[[ Mists of Pandaria ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mists of Pandaria Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local MOPHerbRoute2 = AceGUI:Create("Button")
  MOPHerbRoute2:SetText("\124cffffffff\124Hitem:72235::::::::60:::::\124h[Silkweed]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Valley of the Four Winds")
  MOPHerbRoute2:SetWidth(350)
  scroll:AddChild(MOPHerbRoute2)
  MOPHerbRoute2:SetCallback("OnClick", function() 

core.SilkweedImport(container)
  
  end)  

--[[ Cataclysm ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Cataclysm Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local CataHerbRoute2 = AceGUI:Create("Button")
  CataHerbRoute2:SetText("\124cffffffff\124Hitem:52988::::::::60:::::\124h[Whiptail]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Uldum")
  CataHerbRoute2:SetWidth(350)
  scroll:AddChild(CataHerbRoute2)
  CataHerbRoute2:SetCallback("OnClick", function() 

core.WhiptailImport(container)
  
  end)

--[[ Wrath of the Lich King ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Wrath of the Lich King Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local WotlkHerbRoute2 = AceGUI:Create("Button")
  WotlkHerbRoute2:SetText("\124cffffffff\124Hitem:36906::::::::60:::::\124h[Icethorn]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Wintergrasp")
  WotlkHerbRoute2:SetWidth(350)
  scroll:AddChild(WotlkHerbRoute2)
  WotlkHerbRoute2:SetCallback("OnClick", function() 

core.IcethornImport(container)
  
  end)

--[[ The Burning Crusade ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125The Burning Crusade Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local TBCHerbRoute2 = AceGUI:Create("Button")
  TBCHerbRoute2:SetText("\124cffffffff\124Hitem:22786::::::::60:::::\124h[Dreaming Glory]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Terrokar Forest")
  TBCHerbRoute2:SetWidth(350)
  scroll:AddChild(TBCHerbRoute2)
  TBCHerbRoute2:SetCallback("OnClick", function() 

core.DreamingGloryImport(container)
  
  end)

--[[ Vanilla ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vanilla Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local VanillaHerbRoute2 = AceGUI:Create("Button")
  VanillaHerbRoute2:SetText("\124cffffffff\124Hitem:8846::::::::60:::::\124h[Gromsblood]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Felwood")
  VanillaHerbRoute2:SetWidth(350)
  scroll:AddChild(VanillaHerbRoute2)
  VanillaHerbRoute2:SetCallback("OnClick", function() 

core.GromsbloodImport(container)
  
  end)









end